package com.ruoyi.wayline.utils;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * @Author zhouzhixiong
 * @Date 2023/12/12 11:33
 */
public class MD5Util {
    /**
     * 将字符串转换为MD5哈希。
     *
     * @param input 需要转换的字符串
     * @return MD5哈希字符串
     */
    public static String getMD5(String input) {
        try {
            // 创建MD5摘要算法实例
            MessageDigest md = MessageDigest.getInstance("MD5");

            // 对字符串进行哈希处理
            byte[] messageDigest = md.digest(input.getBytes());

            // 将哈希值转换为十六进制数
            StringBuilder hexString = new StringBuilder();
            for (byte b : messageDigest) {
                String hex = Integer.toHexString(0xff & b);
                if (hex.length() == 1) {
                    hexString.append('0');
                }
                hexString.append(hex);
            }

            return hexString.toString();
        }
        // 处理NoSuchAlgorithmException异常
        catch (NoSuchAlgorithmException e) {
            throw new RuntimeException(e);
        }
    }
}
